Show / Hide Table of Contents

# Struct StdMap<TKey, TValue>

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.STD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct StdMap<TKey, TValue>
        where TKey : struct where TValue : struct

##### Type Parameters

Name | Description
--- | ---
TKey |
TValue |

### Fields

| Improve this Doc View Source

#### Count

##### Declaration

    public ulong Count

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Head

##### Declaration

    public StdMap<TKey, TValue>.Node*Head

##### Field Value

Type | Description
--- | ---
StdMap.Node<>* |

### Properties

| Improve this Doc View Source

#### LargestValue

##### Declaration

    public readonly StdMap<TKey, TValue>.Node*LargestValue { get; }

##### Property Value

Type | Description
--- | ---
StdMap.Node<>* |

| Improve this Doc View Source

#### SmallestValue

##### Declaration

    public readonly StdMap<TKey, TValue>.Node*SmallestValue { get; }

##### Property Value

Type | Description
--- | ---
StdMap.Node<>* |